# stp_module_t Struct Reference

`#include <module.h>`

## Data Fields

const char * | name
const char * | version
const char * | comment
stp_module_class_t | class
void * | handle
int(* | init )(void)
int(* | fini )(void)
void * | syms

## Field Documentation

const char* stp_module_t::name

const char* stp_module_t::version

const char* stp_module_t::comment

stp_module_class_t stp_module_t::class

void* stp_module_t::handle

int(* stp_module_t::init)(void)

int(* stp_module_t::fini)(void)

void* stp_module_t::syms

The documentation for this struct was generated from the following file:

- include/gutenprint/module.h